Package Details: python-locustio 0.14.5-2

Git Clone URL: https://aur.archlinux.org/python-locustio.git (read-only, click to copy)
Package Base: python-locustio
Description: Scalable user load testing tool written in Python
Upstream URL: https://locust.io/
Licenses: MIT
Conflicts: python-locustio
Provides: python-locustio
Submitter: stick
Maintainer: stick
Last Packager: stick
Votes: 0
Popularity: 0.000000
First Submitted: 2020-04-02 15:22
Last Updated: 2020-04-02 15:22

Pinned Comments

stick commented on 2020-04-02 15:33

There is an issue right now with dependencies... the python-geventhttpclient-wheels package is built against python-genvent 1.5a3, which is not yet in the repos. It causes this error:

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 584, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 901, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 792, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (gevent 1.4.0 (/usr/lib/python3.8/site-packages), Requirement.parse('gevent==1.5a3'), {'locustio'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/locust", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3259, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3242, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3271, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 586, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 599, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 787, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'gevent==1.5a3' distribution was not found and is required by locustio

Latest Comments

stick commented on 2020-04-02 15:33

There is an issue right now with dependencies... the python-geventhttpclient-wheels package is built against python-genvent 1.5a3, which is not yet in the repos. It causes this error:

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 584, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 901, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 792, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (gevent 1.4.0 (/usr/lib/python3.8/site-packages), Requirement.parse('gevent==1.5a3'), {'locustio'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/locust", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3259, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3242, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3271, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 586, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 599, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 787, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'gevent==1.5a3' distribution was not found and is required by locustio